com.independentsoft.msg

## Enum Sensitivity

- java.lang.Object
- - java.lang.Enum<Sensitivity>
  - - com.independentsoft.msg.Sensitivity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Sensitivity>

      public enum Sensitivity
      extends java.lang.Enum<Sensitivity>

  Identifies the sensitivity level assigned to a message item. These levels are arbitrarily set and filtered for, by the user.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONFIDENTIAL` The message has the Confidential sensitivity setting
    `NONE` The message has the Normal sensitivity setting.
    `PERSONAL` The message has the Personal sensitivity setting.
    `PRIVATE` The message has the Private sensitivity setting.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Sensitivity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Sensitivity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERSONAL

          public static final Sensitivity PERSONAL

      The message has the Personal sensitivity setting.

    - #### PRIVATE

          public static final Sensitivity PRIVATE

      The message has the Private sensitivity setting.

    - #### CONFIDENTIAL

          public static final Sensitivity CONFIDENTIAL

      The message has the Confidential sensitivity setting

    - #### NONE

          public static final Sensitivity NONE

      The message has the Normal sensitivity setting.

  - ### Method Detail

    - #### values

          public static Sensitivity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Sensitivity c : Sensitivity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Sensitivity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null